<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myProductShipmentReceiptLabel" jhiTranslate="mpmApp.productShipmentReceipt.home.createOrEditLabel">Create or edit a Product Shipment Receipt</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!productShipmentReceipt.idReceipt">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="productShipmentReceipt.idReceipt" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.productShipmentReceipt.idProduct" for="field_idProduct">Id Product</label>
                    <input type="text" class="form-control" name="idProduct" id="field_idProduct"
                        [(ngModel)]="productShipmentReceipt.idProduct" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.productShipmentReceipt.idFeature" for="field_idFeature">Id Feature</label>
                    <input currencyMask class="form-control" name="idFeature" id="field_idFeature"
                        [(ngModel)]="productShipmentReceipt.idFeature"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                         />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.productShipmentReceipt.receiptCode" for="field_receiptCode">Receipt Code</label>
                    <input type="text" class="form-control" name="receiptCode" id="field_receiptCode"
                        [(ngModel)]="productShipmentReceipt.receiptCode" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.productShipmentReceipt.qtyAccept" for="field_qtyAccept">Qty Accept</label>
                    <input currencyMask class="form-control" name="qtyAccept" id="field_qtyAccept"
                        [(ngModel)]="productShipmentReceipt.qtyAccept"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '4' }"
                         />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.productShipmentReceipt.qtyReject" for="field_qtyReject">Qty Reject</label>
                    <input currencyMask class="form-control" name="qtyReject" id="field_qtyReject"
                        [(ngModel)]="productShipmentReceipt.qtyReject"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '4' }"
                         />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.productShipmentReceipt.itemDescription" for="field_itemDescription">Item Description</label>
                    <input type="text" class="form-control" name="itemDescription" id="field_itemDescription"
                        [(ngModel)]="productShipmentReceipt.itemDescription" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.productShipmentReceipt.dateReceipt" for="field_dateReceipt">Date Receipt</label>
                    <div class="input-group">
                        <p-calendar inputId="field_dateReceipt" name="input_dateReceipt" [(ngModel)]="productShipmentReceipt.dateReceipt"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                            [showIcon]="true"></p-calendar>
                    </div>
                </div>

                <div class="form-group" *ngIf="idShipmentPackage === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.productShipmentReceipt.shipmentPackage" for="field_shipmentPackage">Shipment Package</label>
                    <select class="form-control" id="field_shipmentPackage" name="shipmentPackage" [(ngModel)]="productShipmentReceipt.shipmentPackageId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="shipmentPackageOption.idPackage" *ngFor="let shipmentPackageOption of shipmentpackages; trackBy: trackShipmentPackageById">{{shipmentPackageOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idShipmentItem === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.productShipmentReceipt.shipmentItem" for="field_shipmentItem">Shipment Item</label>
                    <select class="form-control" id="field_shipmentItem" name="shipmentItem" [(ngModel)]="productShipmentReceipt.shipmentItemId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="shipmentItemOption.idShipmentItem" *ngFor="let shipmentItemOption of shipmentitems; trackBy: trackShipmentItemById">{{shipmentItemOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idOrderItem === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.productShipmentReceipt.orderItem" for="field_orderItem">Order Item</label>
                    <select class="form-control" id="field_orderItem" name="orderItem" [(ngModel)]="productShipmentReceipt.orderItemId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="orderItemOption.idOrderItem" *ngFor="let orderItemOption of orderitems; trackBy: trackOrderItemById">{{orderItemOption.id}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
